using System;

class Gamer
{
    string Name;
    IgralnayaKost seans;

    public Gamer(string name)
    {
        Name = name;
        seans = new IgralnayaKost();
        seans.MaxRolled += OnMaxRolled;
    }

    void OnMaxRolled(int value)
    {
        Console.WriteLine("Событие: у игрока {0} выпало максимальное количество очков ({1})", Name, value);
    }

    public int SeansGame()
    {
        return seans.random();
    }

    public override string ToString()
    {
        return Name;
    }
}

